#
# Conditional build:
%bcond_without	nautilus	# Nautilus extension
%bcond_without	transparency	# restore transparency feature
%bcond_without	search_provider	# build GNOME Shell search provder

Summary:	GNOME Terminal
Summary(pl.UTF-8):	Terminal dla GNOME
Name:		gnome-terminal
Version:	3.40.3
Release:	1
License:	GPL v3+
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/gnome-terminal/3.40/%{name}-%{version}.tar.xz
# Source0-md5:	06db1340df1c10a1b159b940c30db87c
Patch1:		%{name}-transparency.patch
URL:		https://wiki.gnome.org/Apps/Terminal/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.9
BuildRequires:	dconf-devel >= 0.14
BuildRequires:	desktop-file-utils
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.52.0
%{?with_search_provider:BuildRequires:	gnome-shell-devel >= 3.12.0}
BuildRequires:	gsettings-desktop-schemas-devel >= 0.1.0
BuildRequires:	gtk+3-devel >= 3.22.27
BuildRequires:	libtool
BuildRequires:	libuuid-devel
BuildRequires:	libxml2-progs
BuildRequires:	libxslt-progs
%{?with_nautilus:BuildRequires:	nautilus-devel >= 3.28.0}
BuildRequires:	pcre2-8-devel >= 10.00
BuildRequires:	pkgconfig >= 1:0.12.0
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	tar >= 1:1.22
BuildRequires:	vte-devel >= 0.63.0
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	glib2 >= 1:2.52.0
Requires:	dconf >= 0.14
Requires:	glib2 >= 1:2.52.0
Requires:	gsettings-desktop-schemas >= 0.1.0
Requires:	gtk+3 >= 3.22.27
Requires:	terminfo
Requires:	vte >= 0.63.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a terminal thing that isn't finished at all.

%description -l pl.UTF-8
To jest terminal, na razie całkowicie nie dokończony.

%package -n nautilus-extension-terminal
Summary:	GNOME Terminal extension for Nautilus
Summary(pl.UTF-8):	Rozszerzenie GNOME Terminal dla Nautilusa
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	nautilus >= 3.28.0
Obsoletes:	nautilus-open-terminal < 0.20-2

%description -n nautilus-extension-terminal
This package provides a Nautilus extension that adds the 'Open in
Terminal' option to the right-click context menu in Nautilus.

%description -n nautilus-extension-terminal -l pl.UTF-8
Ten pakiet dostarcza rozszerzenie Nautilusa dodające opcję "Otwórz w
terminalu" do menu kontekstowego uaktywnianego prawym klawiszem myszy
w Nautilusie.

%prep
%setup -q
%{?with_transparency:%patch1 -p1}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static \
	%{!?with_nautilus:--without-nautilus-extension} \
	%{!?with_search_provider:--disable-search-provider}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	localedir=%{_localedir}

%if %{with nautilus}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-3.0/libterminal-nautilus.la
%endif

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
if [ "$1" = "0" ]; then
	%glib_compile_schemas
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%attr(755,root,root) %{_bindir}/gnome-terminal
%attr(755,root,root) %{_libexecdir}/gnome-terminal-server
%dir %{_libdir}/gnome-terminal
%{_libdir}/gnome-terminal/gschemas.compiled
%{_datadir}/dbus-1/services/org.gnome.Terminal.service
%{_datadir}/glib-2.0/schemas/org.gnome.Terminal.gschema.xml
%{?with_search_provider:%{_datadir}/gnome-shell/search-providers/gnome-terminal-search-provider.ini}
%{_datadir}/metainfo/org.gnome.Terminal.appdata.xml
%{_desktopdir}/org.gnome.Terminal.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Terminal.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Terminal-symbolic.svg
%{systemduserunitdir}/gnome-terminal-server.service
%{_mandir}/man1/gnome-terminal.1*

%if %{with nautilus}
%files -n nautilus-extension-terminal
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/nautilus/extensions-3.0/libterminal-nautilus.so
%{_datadir}/metainfo/org.gnome.Terminal.Nautilus.metainfo.xml
%endif
%changelog
* Fri Jul 09 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-terminal.git;a=log;h=master

* Fri Jul 09 2021 Jakub Bogusz <qboosh@pld-linux.org> 32c3ed3
- updated to 3.40.3

* Mon Jun 07 2021 Jakub Bogusz <qboosh@pld-linux.org> fce9038
- updated to 3.40.2

* Thu May 06 2021 Jakub Bogusz <qboosh@pld-linux.org> 5a7913e
- updated to 3.40.1
- updated transparency patch

* Sat Apr 17 2021 Jakub Bogusz <qboosh@pld-linux.org> 8a5b6f7
- rediffed

* Fri Apr 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 2e2de37
- updated to 3.40.0

* Sun Feb 14 2021 Jan Palus <atler@pld-linux.org> 1f26422
- add bcond for disabling GNOME Shell search provider

* Sun Feb 14 2021 Jan Palus <atler@pld-linux.org> c1027a6
- correct flag when building without nautilus (on by default)

* Sun Feb 14 2021 Jakub Bogusz <qboosh@pld-linux.org> 4fc9031
- updated to 3.38.3

* Sat Jan 09 2021 Jakub Bogusz <qboosh@pld-linux.org> e9c7f47
- updated to 3.38.2

* Thu Oct 08 2020 Jakub Bogusz <qboosh@pld-linux.org> db63109
- updated to 3.38.1

* Sun Sep 20 2020 Jakub Bogusz <qboosh@pld-linux.org> 636978f
- updated to 3.38.0
- updated transparency patch

* Mon Jun 08 2020 Jakub Bogusz <qboosh@pld-linux.org> 4de6f86
- updated to 3.36.2
- updated transparency patch

* Fri Nov 22 2019 Jakub Bogusz <qboosh@pld-linux.org> 385d851
- updated to 3.34.2
- updated transparency patch

* Sun Jan 20 2019 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> bb11d6b
- Updated to 3.30.2

* Tue Mar 28 2017 Marcin Banasiak <marcin.banasiak@gmail.com> d4bc1a2
- Update to 3.24.0

* Thu Jul 28 2016 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 2b7dad9
- updated to 3.20.2
- disabled wordseps patch (not applicable)
- added transparency patch

* Sun Dec 27 2015 Łukasz Kieś <kiesiu@pld-linux.org> 18a2bca
- updated to 3.18.2

* Wed Sep 30 2015 Łukasz Kieś <kiesiu@pld-linux.org> 8ff297c
- updated to 3.18.0

* Tue Sep 22 2015 Elan Ruusamäe <glen@delfi.ee> d7796de
- bringing back wordseps configurability

* Tue Sep 22 2015 Elan Ruusamäe <glen@delfi.ee> 70ff9e1
- Revert "wordseps patch not applicable anymore"

